Bug 490579 - Synergy causes loss of focus on fullscreen apps when leaving a screen
Synergy causes loss of focus on fullscreen apps when leaving a screen
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 23:57 EDT by Christopher Tubbs
Modified: 2011-03-01 07:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 05:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Tubbs 2009-03-16 23:57:56 EDT
Description of problem:
Both synergy server and clients lose fullscreen focus when navigating across screens. An example of this is fullscreen Hulu or YouTube player, but the problem happens with any full screen app. For instance, if totem-xine is fullscreen and the mouse leaves the screen to go to another screen, it flashes and goes blank. With Adobe flash plugin (like using Hulu or YouTube), the fullscreen mode exits and returns to the browser window (similar problem with moonlight apps).

Version-Release number of selected component (if applicable):
synergy-1.3.1-12.fc10.i386
firefox-3.0.7-1.fc10.i386
totem-xine-2.24.3-1.fc10.i386
flash-plugin-10.0.22.87-release.i386

How reproducible:
Every time I leave a screen running a fullscreen app.

Steps to Reproduce:
1. Install configure and run synergy.
2. Navigate to a second (client) screen, open hulu.com or youtube.com, play a video in full screen.
3. Navigate to the first (server) screen.
  
Actual results:
The fullscreen app loses full screen (or in the case of totem-xine, it freaks out).

Expected results:
The fullscreen app should remain fullscreen, unchanged by the navigation across screens. This is the expected behavior and that of a similar configuration of (x2vnc and (x0vncserver or vino)).

Additional info:
The problem appears to happen on the screen that the mouse leaves, not the screen that it arrives.
Comment 1 Matthias Saou 2009-04-12 13:58:42 EDT
This is definitely an upstream issue. But not necessarily a bug : Looking at upstream reports, it seems that the behaviour you're asking for (be able to have focused windows on multiple displays) was considered a bug...

See these, I'm sure there are more :
http://sourceforge.net/tracker/?func=detail&aid=1241532&group_id=59275&atid=490467
http://sourceforge.net/tracker/?func=detail&aid=1164752&group_id=59275&atid=490470

Then recently, someone else is asking for the same you are :
http://sourceforge.net/tracker/?func=detail&aid=2750154&group_id=59275&atid=490467

Upstream for synergy seems kind of dead, so I don't see much hope of getting this sorted out. Maybe the real issue is more with totem-xine : I use synergy regularly and have absolutely no problems with fullscreen players loosing their focus while playing (I use xine and mplayer).
Comment 2 Christopher Tubbs 2009-04-13 02:50:11 EDT
All other projects that maintain similar functionality seems to have died also.
Synergy seemed like the best option to have this functionality maintained, I hope upstream hasn't completely died.

In any case, since the screens are on two separate systems, it doesn't seem like there'd be a problem having an app maintain focus on the second screen.

I'm not sure how synergy works, but similar apps that I've tried used a 1 pixel bar on the edge of the screen that takes action on mouse over. For some reason synergy seems to steal focus on this sort of "mouse over" action. It shouldn't.
Comment 3 Matthias Saou 2009-10-06 14:43:47 EDT
I've packaged and imported synergy-plus in Fedora recently. It's a fork of synergy which focused on bug fixes for the current release. Note that you'll need to uninstall synergy first since the binary names conflict. From my limited testing, it's fully compatible with the old synergy.

Could you try it and see if it fixes this issue?
Comment 4 Christopher Tubbs 2009-10-09 02:55:31 EDT
I attempted to run synergy-plus on F11 x86_64 and I failed. I always ran synergy with quicksynergy before, but that doesn't work because quicksynergy requires synergy as a dependency, not synergy-plus.

Attempting to run synergy-plus from the command line (synergys) yields an error:

2009-10-09T02:51:22 (null): synergys: no configuration available
	synergys.cpp,1115

I can't seem to find any documentation as to what configuration is expected, what format it is in, or what settings are required.
Comment 5 Bug Zapper 2009-11-18 04:55:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthias Saou 2009-11-24 14:56:09 EST
(In reply to comment #4)
> I attempted to run synergy-plus on F11 x86_64 and I failed. I always ran
> synergy with quicksynergy before, but that doesn't work because quicksynergy
> requires synergy as a dependency, not synergy-plus.

Here's what you could to just for testing :

rpm -e --nodeps synergy
yum install synergy-plus

At this point you should still have quicksynergy installed, but it'll use the binaries of the same name provided by synergy-plus. Check if the problem is still there or not, if not it's a good selling point to maybe have synergy-plus obsolete synergy. If it still fails, you can easily go back to the previous clean state with :

yum remove synergy-plus
yum install synergy
Comment 7 Christopher Tubbs 2009-11-29 14:40:08 EST
I really don't use the software much anymore, but find it amazingly useful and would hate for it to become unmaintained. The bug is simple enough for others to test, and very reproducible, so I'll leave it up to others to test. I'm not going to reinstall it just to test it, unless I need it again.
Comment 8 Bug Zapper 2010-04-27 09:13:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matthias Saou 2010-05-04 05:48:36 EDT
This might be fixed in synergy-plus. If someone decides to test and is still able to reproduce, then please reopen or file a new report against synergy-plus.
Comment 10 coffee4me 2011-03-01 07:17:26 EST
I can confirm that this bug is not fixed in synergy-plus.  I am still able to fully reproduce given the steps described. Unfortunate my only solution is a second mouse on the client.

Note You need to log in before you can comment on or make changes to this bug.